AbstractBulkRecordWriter (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.hadoop

## Class AbstractBulkRecordWriter<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.RecordWriter<K,V>
  - - org.apache.cassandra.hadoop.AbstractBulkRecordWriter<K,V>

- All Implemented Interfaces:
    org.apache.hadoop.mapred.RecordWriter<K,V>
  Direct Known Subclasses:
    BulkRecordWriter, CqlBulkRecordWriter

      public abstract class AbstractBulkRecordWriter<K,V>
      extends org.apache.hadoop.mapreduce.RecordWriter<K,V>
      implements org.apache.hadoop.mapred.RecordWriter<K,V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractBulkRecordWriter.ExternalClient`
    `static class` | `AbstractBulkRecordWriter.NullOutputHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BUFFER_SIZE_IN_MB`
    `protected int` | `bufferSize`
    `protected org.apache.hadoop.conf.Configuration` | `conf`
    `protected org.apache.hadoop.mapreduce.TaskAttemptContext` | `context`
    `protected SSTableLoader` | `loader`
    `static java.lang.String` | `MAX_FAILED_HOSTS`
    `protected int` | `maxFailures`
    `static java.lang.String` | `OUTPUT_LOCATION`
    `protected org.apache.hadoop.util.Progressable` | `progress`
    `static java.lang.String` | `STREAM_THROTTLE_MBITS`
    `protected java.io.Closeable` | `writer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBulkRecordWriter(org.apache.hadoop.conf.Configuration conf)`
    `protected` | `AbstractBulkRecordWriter(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.util.Progressable progress)`
    `protected` | `AbstractBulkRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(org.apache.hadoop.mapred.Reporter reporter)` Deprecated.
    `void` | `close(org.apache.hadoop.mapreduce.TaskAttemptContext context)`
    `protected java.lang.String` | `getOutputLocation()`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.RecordWriter

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapred.RecordWriter

      `write`

- - ### Field Detail

    - #### OUTPUT_LOCATION

          public static final java.lang.String OUTPUT_LOCATION

      See Also:
        Constant Field Values

    - #### BUFFER_SIZE_IN_MB

          public static final java.lang.String BUFFER_SIZE_IN_MB

      See Also:
        Constant Field Values

    - #### STREAM_THROTTLE_MBITS

          public static final java.lang.String STREAM_THROTTLE_MBITS

      See Also:
        Constant Field Values

    - #### MAX_FAILED_HOSTS

          public static final java.lang.String MAX_FAILED_HOSTS

      See Also:
        Constant Field Values

    - #### conf

          protected final org.apache.hadoop.conf.Configuration conf

    - #### maxFailures

          protected final int maxFailures

    - #### bufferSize

          protected final int bufferSize

    - #### writer

          protected java.io.Closeable writer

    - #### loader

          protected SSTableLoader loader

    - #### progress

          protected org.apache.hadoop.util.Progressable progress

    - #### context

          protected org.apache.hadoop.mapreduce.TaskAttemptContext context

  - ### Constructor Detail

    - #### AbstractBulkRecordWriter

          protected AbstractBulkRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)

    - #### AbstractBulkRecordWriter

          protected AbstractBulkRecordWriter(org.apache.hadoop.conf.Configuration conf,
                                  org.apache.hadoop.util.Progressable progress)

    - #### AbstractBulkRecordWriter

          protected AbstractBulkRecordWriter(org.apache.hadoop.conf.Configuration conf)

  - ### Method Detail

    - #### getOutputLocation

          protected java.lang.String getOutputLocation()
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                     throws java.io.IOException,
                            java.lang.InterruptedException

      Specified by:
        `close` in class `org.apache.hadoop.mapreduce.RecordWriter<K,V>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### close

          @Deprecated
          public void close(org.apache.hadoop.mapred.Reporter reporter)
                     throws java.io.IOException

      Deprecated.
      Fills the deprecated RecordWriter interface for streaming.
      Specified by:
        `close` in interface `org.apache.hadoop.mapred.RecordWriter<K,V>`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation